package org.ow2.orchestra.env.binding;

import org.ow2.orchestra.env.descriptor.RuntimeDbSessionDescriptor;
import org.ow2.orchestra.pvm.internal.util.TagBinding;
import org.ow2.orchestra.pvm.internal.wire.xml.WireParser;
import org.ow2.orchestra.pvm.internal.xml.Parse;
import org.ow2.orchestra.pvm.internal.xml.Parser;
import org.w3c.dom.Element;

public class RuntimeDbSessionBinding extends TagBinding {


  public RuntimeDbSessionBinding() {
    super("runtime-db-session", null, WireParser.CATEGORY_DESCRIPTOR);
  }

  public Object parse(final Element element, final Parse parse, final Parser parser) {
    final RuntimeDbSessionDescriptor descriptor = new RuntimeDbSessionDescriptor();

    if (element.hasAttribute("session")) {
      descriptor.setSessionName(element.getAttribute("session"));
    }

    return descriptor;
  }

}
