/**
* Copyright (C) 1999 Bull S.A.
* Bull 68 route de versailles  78434 Louveciennes Cedex France
**/
package org.ow2.orchestra.exception;

import org.ow2.orchestra.facade.exception.OrchestraRuntimeException;
import org.ow2.orchestra.util.StaticAnalysisFault;


/** 
 * Exception launched when Static Analysis fails.
 *
 * @author Goulven Le Jeune
 * 
 */
public class StaticAnalysisException extends OrchestraRuntimeException {

  /**
   * @param message Code of the static Analysis error (e.g. SA00047)
   */
  public StaticAnalysisException(String message) {
    super(StaticAnalysisFault.getFault(message));
  }

}
